Product Layer Metaproperties

Product Layer Metaproperties API

1.0.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}/
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • METAPROPERTYMANAGEMENT -
  • metaproperty.view -

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • METAPROPERTYMANAGEMENT -
  • metaproperty.view -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Metaproperties

Retrieve metaproperties

Retrieve a list of metaproperties.

get
https://{your-bynder-domain}/api/pim/metaproperties

Response

200 application/json

Successfully retrieved metaproperties

array[string]
get/api/pim/metaproperties
 
200 application/json

Retrieve specific metaproperty

Retrieve the details of a specific metaproperty.

get
https://{your-bynder-domain}/api/pim/metaproperties/{id}

Path Parameters

idstringrequired

Example:00000000-0000-0000-0000-0000000000000000

Response

200 application/json

Successfully retrieved specific metaproperty

descriptionstring

Example:Metaproperty for Product A

idstring

Example:00000000-0000-0000-0000-000000000000

labelstring

Example:Product A

mp_optionsarray[object]
Show Child Parameters
namestring

Example:Product A

get/api/pim/metaproperties/{id}
 
200 application/json

Options